1. feladat
CREATE DATABASE netfit DEFAULT CHARACTER SET utf8 COLLATE utf8_hungarian_ci
2. feladat
ALTER TABLE `diak` ADD INDEX( `iskola`);
ALTER TABLE `diak` ADD INDEX( `netfit`);
3. feladat
SELECT diak.neve,diak.szuletett,meres.*
FROM meres INNER JOIN diak ON meres.id=diak.netfit
ORDER BY diak.szuletett
LIMIT 10
4. feladat
SELECT diak.neve,diak.anyja,diak.szuletett,meres.hajlekonysag
FROM meres INNER JOIN diak ON meres.id=diak.netfit
ORDER BY meres.hajlekonysag DESC
LIMIT 5

5. feladat
SELECT diak.neve,diak.szuletett
FROM meres INNER JOIN diak ON meres.id=diak.netfit
WHERE meres.hasizom=80
ORDER BY diak.neve

6. feladat
SELECT diak.neve,meres.szoritoero,meres.bmi
FROM meres INNER JOIN diak ON meres.id=diak.netfit
WHERE meres.hasizom BETWEEN 40 AND 50
ORDER BY diak.neve

7. feladat
SELECT diak.neve,meres.testzsir,meres.bmi,iskola.neve
FROM meres INNER JOIN diak ON meres.id=diak.netfit
INNER JOIN iskola ON iskola.om=diak.iskola
WHERE meres.testzsir>25 AND meres.bmi>23
ORDER BY diak.neve

8. feladat
SELECT iskola.neve,iskola.vezeto,COUNT(diak.netfit) AS "mérések száma"
FROM diak INNER JOIN iskola ON iskola.om=diak.iskola
GROUP BY iskola.neve,iskola.vezeto
ORDER BY COUNT(diak.netfit) DESC

9. feladat
SELECT iskola.neve,iskola.telefon,AVG(meres.hajlekonysag) AS "átlagos hajlékonyság"
FROM meres INNER JOIN diak ON meres.id=diak.netfit
INNER JOIN iskola ON iskola.om=diak.iskola
GROUP BY iskola.neve,iskola.telefon


10. feladat
SELECT diak.neve,diak.szuletett,diak.varos
FROM diak INNER JOIN iskola ON iskola.om=diak.iskola
WHERE iskola.neve LIKE "%Baross Gábor%" AND diak.neve LIKE "%Kamilla%"

11. feladat
SELECT COUNT(diak.om) AS "soványok száma"
FROM diak INNER JOIN meres ON meres.id=diak.netfit
WHERE meres.bmi<18.5


12. feladat
SELECT diak.neve,(meres.hasizom+meres.fekvotamasz) AS erofeladat
FROM diak INNER JOIN meres ON meres.id=diak.netfit
WHERE (meres.hasizom+meres.fekvotamasz)>=100
ORDER BY erofeladat DESC


13. feladat
SELECT iskola.neve,SUM(meres.szoritoero) AS "szorítóerő összesen"
FROM meres INNER JOIN diak ON meres.id=diak.netfit
INNER JOIN iskola ON iskola.om=diak.iskola
GROUP BY iskola.neve


14. feladat
SELECT iskola.neve,iskola.vezeto,iskola.cim,iskola.telefon,SUM(meres.hasizom) AS "hasizomgyakorlatok összege"
FROM meres INNER JOIN diak ON meres.id=diak.netfit
INNER JOIN iskola ON iskola.om=diak.iskola
GROUP BY iskola.neve,iskola.vezeto,iskola.cim,iskola.telefon
HAVING SUM(meres.hasizom)>500

15. feladat
SELECT diak.varos,AVG(meres.bmi) AS "átlagos BMI",AVG(meres.testzsir) AS "átlagos testzsír"
FROM meres INNER JOIN diak ON meres.id=diak.netfit
GROUP BY diak.varos
ORDER BY AVG(meres.bmi) DESC,AVG(meres.testzsir) DESC

16. feladat
SELECT iskola.neve,iskola.vezeto,iskola.cim,iskola.telefon,AVG(meres.tavolugras) AS "átlagos távolugrás hossza"
FROM meres INNER JOIN diak ON meres.id=diak.netfit
INNER JOIN iskola ON iskola.om=diak.iskola
GROUP BY iskola.neve,iskola.vezeto,iskola.cim,iskola.telefon
HAVING AVG(meres.tavolugras)<200

17. feladat
SELECT COUNT(diak.szuletett) AS "2000-01-01 előtt születettek száma"
FROM diak
WHERE diak.szuletett<"2000-01-01"













